<?php
/* $Id: index.php 6941 2014-10-26 23:18:08Z daintree $*/
error_reporting(E_ALL & ~E_NOTICE);
$PageSecurity=0;

include('includes/session.inc');
$Title=_('ERP Home');
include('includes/newheader.php');

?>

		
  					
	<script src="angular/angular.min.js"></script>  
        
 
     
     
		

   
  
 									
									<?php
//this is where you paste. Below paste it:


include('includes/SQL_CommonFunctions.inc');
echo '<link href="' . $RootPath . '/css/evergreen2'.'/default.css" rel="stylesheet" type="text/css" media="screen"/>';


//echo '<p class="page_title_text"><img src="'.$RootPath.'/css/'.$Theme.'/images/maintenance.png"> </p>';
      
	echo '<div class="col-sm-12">';
		 $userid = $_SESSION['UserID'];
if ($userid == 'admin' || $userid == 'ravinesh' || $userid == 'ravneet'|| $userid == 'sharukh' ) {
    include('xcrud/xcrud.php');
    $xcrud = Xcrud::get_instance();
	$xcrud->table('cit_billing_profile');
	
	$xcrud->order_by('billing_id','desc');
	
    $xcrud->default_tab('Billing Profile');

    $xcrud->button('JCAutoCreateCITInvoice.php?billing_id={billing_id}', 'Create Invoice','glyphicon glyphicon-list-alt');
	
//	if ('{customer}' === '115' ) {
	$xcrud->button('CIT_ImportANZTrans.php?billing_id={billing_id}', 'Upload ANZ Transactions-CSV','glyphicon glyphicon-upload');
//	}
$xcrud->unset_remove();
//second level table configurations
	$rostering_timesheet = $xcrud->nested_table('Billing Items','billing_id','cit_bill_items','billing_id'); 
	       $pool = $xcrud->nested_table('ATM Trans','billing_id','atmtrans','billing_id'); 

              //$pool->relation('employeeid','employeemaster','employeeid',array('first_name','last_name','employeeid'));

$pool->sum('qty_note100,qty_note50,qty_note20,qty_note10');



$pool->unset_print();
$pool->unset_csv();
    
$pool->unset_remove();
$pool->unset_view();

$pool->unset_add();
$pool->unset_edit();


	//$pool->column_name('clientid','Patrol location ID/clientID');
//	$pool->column_name('employeeid','Security Guards');

$pool->table_name('ATM Load & Repat Transactions','ATM','icon-leaf');
	 //$rostering_timesheet->columns('employeeid,mon_shift,mon_hrs,tues_shift,tues_hrs,wed_shift,wed_hrs,thurs_shift,thurs_hrs,fri_shift,fri_hrs,sat_shift,sat_hrs,sun_shift,sun_hrs,total_hrs');
	 
   //$rostering_timesheet->fields('employeeid,mon_shift,mon_hrs,tues_shift,tues_hrs,wed_shift,wed_hrs,thurs_shift,thurs_hrs,fri_shift,fri_hrs,sat_shift,sat_hrs,sun_shift,sun_hrs,total_hrs');
	
	  //employee id and name
	  
	
	$rostering_timesheet->relation('category','stockcategory','categoryid','categorydescription',array('stocktype' => 'D'));
  $rostering_timesheet->relation('description','stockmaster','stockid','description','','','','','','categoryid','category'); 
$rostering_timesheet->relation('revenue_glcode','oldglcode','oldglcode',array('name','oldglcode'),array('category' => 'Revenue'));
	
	
$rostering_timesheet->relation('unit_price','prices','price','price','','','','','','stockid','description');
//$rostering_timesheet->relation('branchcode','custbranch','branchcode',array('branchcode','brname'),array('debtorno' => '383'));
//$rostering_timesheet->pass_default(array('mon_date' => 'Joe', 'tues_date' => 'Boston'));
//$rostering_timesheet->relation('mon_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('mon_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('tues_shift','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('tues_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('wed_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('wed_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('thurs_shift','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('thurs_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('fri_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('fri_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('sat_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('sat_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('sun_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('sun_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('mon_shift_2','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('mon_shift_2_2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->change_type('mon_shift','select','3pm-7pm','3pm-7pm,9am-12pm');
	 
 
	
	
     //$rostering_timesheet->relation('mon_hrs','shifts','shiftid','hours','','','','','','shiftid','mon_shift');
	 
	 
	 $rostering_timesheet->before_insert('calculate_total');
	$rostering_timesheet->before_update('calculate_total');
	
	//$rostering_timesheet->pass_var('montime_in', 'NOW()');
    //$rostering_timesheet->no_quotes('montime_in');
	
	
	
//$rostering_timesheet->column_width('mon_hrs,tues_hrs,wed_hrs,thurs_hrs,fri_hrs,sat_hrs,sun_hrs,mon_hrs_2,mon_hrs2,tues_hrs2,wed_hrs2,thurs_hrs2,fri_hrs2,sat_hrs2,sun_hrs2,mon_hrs_2_2','5px');
	//$rostering_timesheet->column_width('mon_shift,tues_shift,wed_shift,thurs_shift,fri_shift,sat_shift,sun_shift,mon_shift_2','95px');
	//$rostering_timesheet->column_width('total_hrs','20px');
	//$rostering_timesheet->fields('mon_hrs,mon_total,tues_hrs,tues_total,wed_hrs,wed_total,thurs_hrs,thurs_total,fri_hrs,fri_total,sat_hrs,sat_total,sun_hrs,sun_total,mon_hrs_2,mon2_total,mon_hrs2,tues_hrs2,wed_hrs2,thurs_hrs2,fri_hrs2,sat_hrs2,sun_hrs2,mon_hrs_2_2', true);
	//$rostering_timesheet->validation_required('employeeid');
	
	//check whether total hours doesnt exceel employees max hours allowed to work. checking with employeemaster database.

	
	//grid coloring based on shift table
	
	



	//$rostering_timesheet->highlight('mon_hrs','=','{mon_hrs}',$mon_color);
	
	
//$rostering_timesheet->before_insert('gridcolor');
//$rostering_timesheet->before_update('gridcolor');
	
	
	//calculate total employee hours per week
//$rostering_timesheet->before_list('highlightcell');




//$rostering_timesheet->before_insert('calculate_totalhoursperweek');
//$rostering_timesheet->before_update('calculate_totalhoursperweek');

//$rostering_timesheet->field_callback('total_hrs','validate_maxhours');

//$rostering_timesheet->before_insert('validate_maxhours');
//$rostering_timesheet->before_update('validate_maxhours');

	//$rostering_timesheet->table_name('Employee Schedulling');
	
	//calculate total  hours per per each day
	
   //$rostering_timesheet->sum('mon_total,tues_total,wed_total,thurs_total,fri_total,sat_total,sun_total,mon2_total,total_hrs,normal_hours,time_half_hours,double_hours');
   $rostering_timesheet->change_type('uom','select','draft','draft,approved,locked');
   $rostering_timesheet->relation('uom','unitsofmeasure','unitname','unitname');
   $rostering_timesheet->sum('total');
	
	
	
	
    $xcrud->change_type('status','select','draft','draft,approved,locked');
   $xcrud->change_type('month','select','January','January,Febuary,March,April,May,June,July,August,September,October,November,December');
$xcrud->change_type('year','select','2023',',2023,2024,2025,2026,2027');




	//$approvedby=stripslashes($_SESSION['UsersRealName']);
	//$rostering_timesheet->columns('approved_by',true);
     $xcrud->relation('customer','debtorsmaster','debtorno','name');
$xcrud->relation('branchcode','custbranch','branchcode',array('branchcode','brname'),'','','','','','debtorno','customer');
$xcrud->relation('account_number','debtoraccount','account_number','account_number','','','','','','debtorno','customer');
	//$rostering_timesheet->fields('approved_by',true);
	  $xcrud->relation('revenue_glcode','oldglcode','oldglcode',array('name','oldglcode'),array('category' => 'Revenue'));
	//$rostering_timesheet->validation_required(array('period' => 1,'start_date','end_date','cl'));
	//$rostering_timesheet->duplicate_button();
	//	$rostering_timesheet->unset_print();
     //   $rostering_timesheet->unset_csv();
	//$rostering_timesheet->benchmark(true);
	
	//validate max hours for employees
	
//$rostering_timesheet->after_insert('after');
//$rostering_timesheet->after_update('after');

    $xcrud->show_primary_ai_column(true);
    $xcrud->column_pattern('billing_id', '<a href="#" class="xcrud-action" data-task="edit" data-primary="{billing_id}">{value}</a>');
	//$xcrud->load_view('create','rostering.php'); 
   // $xcrud->load_view('edit','rostering.php');
	

//$xcrud->before_insert('poolguardcreation');


$userid = $_SESSION['UserID'];

	
$xcrud->pass_var('modified_by',$userid );
//$xcrud->pass_var('department',$department );
  $xcrud->relation('department','department','departmentid','departmentname');

//$timenow = date('Y-m-d H:i:s');

	//$xcrud->pass_var('created_date',$timenow);

 $rostering_timesheet->pass_var('entered_by',$userid);


  $invoices = $xcrud->nested_table('Invoices','billing_id','debtortrans','billing_id'); // 3rd level
 //$invoices->where('quotation=',0);

$invoices->unset_add();
		 $invoices->unset_edit();
			    $invoices->unset_remove();

 $invoices->fields('transno,billing_id,order_,trandate,ovamount,vat,total_vip,alloc,ptax,entered_by,cancelled,cancelled_by,	cancel_reason,gl_posted',false);
 $invoices->columns('transno,billing_id,order_,trandate,ovamount,vat,total_vip,alloc,ptax,entered_by,cancelled,cancelled_by,	cancel_reason,gl_posted',false);
$invoices->label('transno','Invoice no:');
$invoices->label('trandate','Dated:');
$invoices->label('order_','Order_no');
$invoices->subselect('vat','{ovamount}*0.09');
	      
$invoices->subselect('total_vip','{ovamount}*1.09');

$invoices->sum('ovamount,vat,total_vip');
$invoices->change_type('ovamount,vat,total_vip', 'price', '0', array('prefix'=>'$','decimals'=>'2'));

$invoices->table_name('Invoiced ');
$invoices->button('CITPrintInvoice.php?orderno={order_}&transno={transno}&billing_id={billing_id}', 'Re-Print Invoice','glyphicon glyphicon-download-alt');
$invoices->button('CancelInvoice.php?orderno={order_}&transno={transno}', 'Cancel this Invoice','glyphicon glyphicon-retweet','payslip');
$invoices->button('PostInvoice.php?orderno={order_}&transno={transno}', 'Post this Invoice','glyphicon glyphicon-refresh','payslip');
$salesorderdetails = $invoices->nested_table('Invoice Details','order_','salesorderdetails','orderno');
			  $salesorderdetails->unset_add();
			   $salesorderdetails->unset_edit();
			   $salesorderdetails->unset_remove();
$salesorderdetails->table_name('Invoice Line Item Details');
     $salesorderdetails->fields('stkcode,stock_name,qtyinvoiced,unitprice,quantity,discountpercent,narrative,total,Vat,VIP',false);
 $salesorderdetails->columns('stkcode,stock_name,qtyinvoiced,unitprice,quantity,discountpercent,narrative,total,Vat,VIP',false);
$salesorderdetails->subselect('total','{unitprice}*{quantity}');
$salesorderdetails->subselect('Vat','{total}*0.09');
$salesorderdetails->subselect('VIP','{total}*1.09');
$salesorderdetails->sum('total,Vat,VIP');
$salesorderdetails->change_type('total,unitprice,Vat,VIP', 'price', '0', array('prefix'=>'$','decimals'=>'2'));
	echo $xcrud->render();

}

else{
	
	echo "You need to work harder to work at  Wormald CIT division. Not Authorised.";
}

	

echo '</div>';
echo '</div>';





			  
 	echo '</div >';
	?>
						

		
					</div>
				</div>
			</div>
					
					

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
<!-- Modal HTML embedded directly into document -->
<div id="ex1" class="modal">
  <p>Thanks for clicking. That felt good.</p>
  <a href="#" rel="modal:close">Close</a>
</div>


<!-- Modal -->
 <div class="modal fade" id="getCodeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
   <div class="modal-dialog modal-lg">
      <div class="modal-content">
       <div class="modal-header">
         <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
         <h4 class="modal-title" id="myModalLabel"> API CODE </h4>
       </div>
       <div class="modal-body" id="getCode" style="overflow-x: scroll;">
       
          
          
       </div>
    </div>
   </div>
 </div>
<script>
jQuery(document).ready(function($){

   // event must be delegated from .xcrud
	
	//check employee for a clash on existing patrol location
$(".xcrud").on("change","#internal",function(){ // !important, delegation from static container
     var internal = $("#internal").val();
	 
	
        if(internal != 0)
       {
		
		 $('#sectors').attr("disabled", true);
		
            $('#patrollocation').attr("disabled",true);
		  $('#account').attr("disabled", true);
		   
		//   $("#account").hide();
       }
	else{
		 $('#sectors').attr("disabled", false);
		
            $('#patrollocation').attr("disabled",false);
		  $('#account').attr("disabled", false)
		//$("#account").show();
	}
     
	  
   });
	
	//check employee for a clash on same employee working at different location but at same time-frame
	//monday shift one and two	
	$(".xcrud").on("change","#monout",function(){ // !important, delegation from static container
     var start_time = $("#monin").val();
	 var end_time = $("#monout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		
	
	
		
	
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclash.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });

	//monday calculations
 
	



	
	
	//tuesdayshift one and two	
	$(".xcrud").on("change","#tuesout",function(){ // !important, delegation from static container
     var start_time = $("#tuesin").val();
	 var end_time = $("#tuesout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclashtues.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });
	
	//wed shift one and two	
	$(".xcrud").on("change","#wedout",function(){ // !important, delegation from static container
     var start_time = $("#wedin").val();
	 var end_time = $("#wedout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		if ( end_time <= start_time){
		   
		   alert('Time logged out has to be greater than Time logged in ');
	   }
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclashwed.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });
	
	
	//thursday shift one and two	
	$(".xcrud").on("change","#thursout",function(){ // !important, delegation from static container
     var start_time = $("#thursin").val();
	 var end_time = $("#thursout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		if ( end_time <= start_time){
		   
		   alert('Time logged out has to be greater than Time logged in ');
	   }
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclashthurs.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });
	
	//friday shift one and two	
	$(".xcrud").on("change","#friout",function(){ // !important, delegation from static container
     var start_time = $("#friin").val();
	 var end_time = $("#friout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		if ( end_time <= start_time){
		   
		   alert('Time logged out has to be greater than Time logged in ');
	   }
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclashfri.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });
	
	//saturday shift one and two	
	$(".xcrud").on("change","#satout",function(){ // !important, delegation from static container
     var start_time = $("#satin").val();
	 var end_time = $("#satout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		if ( end_time <= start_time){
		   
		   alert('Time logged out has to be greater than Time logged in ');
	   }
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclashsat.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });
	
	//sundayshift one and two	
	$(".xcrud").on("change","#sunout",function(){ // !important, delegation from static container
     var start_time = $("#sunin").val();
	 var end_time = $("#sunout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		if ( end_time <= start_time){
		   
		   alert('Time logged out has to be greater than Time logged in ');
	   }
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclashsun.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });
	
	

	
	
	
   }); 
	
	

	
	
		
		

	
	
</script>


<script type="text/javascript">
jQuery(document).on("ready xcrudafterrequest",function(){
    
});
</script>